
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>详解IOS四种保存数据的方式_IOS / iVAN</title>

    <meta name="description" content="详解IOS四种保存数据的方式_IOS 在iOS开发过程中,不管是做什么应用,都会碰到数据保存的问题.将数据保存到本地,能够让程序的运行更加流畅,不会出现让人厌恶的菊花形状,使得用户体验更好.下面介绍一下数据保存的方式: 1.NSKeyedArchiver:采用归档的形式来保存数据,该数据对象需要遵守NSCoding协议,并且该对象对应的类必须提供encodeWithCoder:和initWithCoder:方法.前一个方法告诉系统怎么对对象进行编码,而后一个方法则是告诉系统怎么对对象进行解码.例如对Possession对象归档保存.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">详解IOS四种保存数据的方式_IOS</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在iOS开发过程中，不管是做什么应用，都会碰到数据保存的问题。将数据保存到本地，能够让程序的运行更加流畅，不会出现让人厌恶的菊花形状，使得用户体验更好。下面介绍一下数据保存的方式：</p>
<p><strong>1.NSKeyedArchiver：</strong>采用归档的形式来保存数据，该数据对象需要遵守NSCoding协议，并且该对象对应的类必须提供encodeWithCoder:和initWithCoder:方法。前一个方法告诉系统怎么对对象进行编码，而后一个方法则是告诉系统怎么对对象进行解码。例如对Possession对象归档保存。</p>
<p>定义Possession：</p>
<pre>
@interface Possession：NSObject&lt;NSCoding&gt;{//遵守NSCoding协议

    NSString *name;//待归档类型

}

@implementation Possession

-(void)encodeWithCoder:(NSCoder *)aCoder{

      [aCoder encodeObject:name forKey:@"name"];

}
-(void)initWithCoder:(NSCoder *)aDecoder{

      name=[[aDeCoder decodeObjectforKey:@"name"] retain];
}
</pre>
<p><strong>归档操作：</strong></p>
<p>如果对Possession对象allPossession归档保存，只需要NSCoder子类NSKeyedArchiver的方法archiveRootObject:toFile: 即可。</p>
<pre>
NSString *path = [self possessionArchivePath];

[NSKeyedArchiver archiveRootObject:allPossessions toFile: path ]
</pre>
<p><strong>解压操作：</strong></p>
<p>同样调用NSCoder子类NSKeyedArchiver的方法unarchiveRootObject:toFile: 即可 </p>
<pre>
allPossessions = [[NSKeyedUnarchiver unarchiveObjectWithFile:path] retain];</pre>
<p>缺点：归档的形式来保存数据，只能一次性归档保存以及一次性解压。所以只能针对小量数据，而且对数据操作比较笨拙，即如果想改动数据的某一小部分，还是需要解压整个数据或者归档整个数据。</p>
<p><strong>2.NSUserDefaults：</strong>用来保存应用程序设置和属性、用户保存的数据。用户再次打开程序或开机后这些数据仍然存在。NSUserDefaults可以存储的数据类型包括：NSData、NSString、NSNumber、NSDate、NSArray、NSDictionary。如果要存储其他类型，则需要转换为前面的类型，才能用NSUserDefaults存储。具体实现为：</p>
<p><strong>保存数据：</strong></p>
<pre>
NSUserDefaults *defaults =[NSUserDefaults standardUserDefaults];
 NSString *name =@”default string“;
 [defaults setObject:firstName forKey:@"name"];
  //获得UIImage实例

UIImage *image=[[UIImage alloc]initWithContentsOfFile:@"photo.jpg"];

 NSData *imageData = UIImageJPEGRepresentation(image, 100);//UIImage对象转换成NSData

 [defaults synchronize];//用synchronize方法把数据持久化到standardUserDefaults数据库
</pre>
<p><strong>读取数据：</strong></p>
<pre>
NSUserDefaults *defaults =[NSUserDefaults standardUserDefaults];
 NSString *name = [defaults objectForKey:@"name"];//根据键值取出name
 NSData *imageData = [defaults dataForKey:@"image"];
 UIImage *Image = [UIImage imageWithData:imageData];//NSData转换为UIImage</pre>
<p><strong>3. Write写入方式：永久保存在磁盘中。具体方法为：</strong></p>
<p>第一步：获得文件即将保存的路径：</p>
<pre>
NSArray *documentPaths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask,YES);//使用C函数NSSearchPathForDirectoriesInDomains来获得沙盒中目录的全路径。该函数有三个参数，目录类型、he domain mask、布尔值。其中布尔值表示是否需要通过～扩展路径。而且第一个参数是不变的，即为NSSearchPathDirectory 。在iOS中后两个参数也是不变的，即为：NSUserDomainMask 和 YES。
NSString *ourDocumentPath =[documentPaths objectAtIndex:0];</pre>
<p>还有一种方法是使用NSHomeDirectory函数获得sandbox的路径。具体的用法为：</p>
<pre>
NSString *sandboxPath = NSHomeDirectory();
 // Once you have the full sandbox path, you can create a path from it，但是不能在sandbox的本文件层上写文件也不能创建目录，而应该是此基础上创建一个新的可写的目录，例如Documents,Library或者temp。
NSString *documentPath = [sandboxPath
       stringByAppendingPathComponent:@"Documents"];//将Documents添加到sandbox路径上，具体原因前面分析了！
</pre>
<p>这两者的区别就是：使用NSSearchPathForDirectoriesInDomains比在NSHomeDirectory后面添加Document更加安全。因为该文件目录可能在未来发送的系统上发生改变。</p>
<p>第二步：生成在该路径下的文件：</p>
<pre>
NSString *FileName=[documentDirectory stringByAppendingPathComponent:fileName];//fileName就是保存文件的文件名</pre>
<p>第三步：往文件中写入数据：</p>
<pre>
[data writeToFile:FileName atomically:YES];//将NSData类型对象data写入文件，文件名为FileName</pre>
<p>最后：从文件中读出数据：</p>
<pre>
NSData data=[NSData dataWithContentsOfFile:FileName options:0 error:NULL];//从FileName中读取出数据</pre>
<p><strong>4. SQLite：</strong>采用SQLite数据库来存储数据。SQLite作为一中小型数据库，应用ios中，跟前三种保存方式相比，相对比较复杂一些。还是一步步来吧！</p>
<p>第一步：需要添加SQLite相关的库以及头文件：在项目文件的Build Phases下，找到Link Binary Library(ies)，添加libsqlite3.0.dylib（libsqlite3.dylib与前者的区别暂时不知，两者应该差不多）；在项目文件中头文件或者源文件中添加头文件#import "/usr/include/sqlite3.h"</p>
<p>第二步：开始使用SQLite：</p>
<pre>
NSArray *documentsPaths=NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask , YES);
 NSString *databaseFilePath=[[documentsPaths objectAtIndex:0] stringByAppendingPathComponent:@"mydb"];
 //上面两句已经比较熟悉了吧！
//打开数据库
if (sqlite3_open([databaseFilePath UTF8String], &amp;database)==SQLITE_OK) {
     NSLog(@"sqlite dadabase is opened.");
 }
 else{ return;}//打开不成功就返回</pre>
<p>在打开了数据库的前提下，如果数据库没有表，那就开始建表了哦！</p>
<pre>
char *error;
 const char *createSql="create table(id integer primary key autoincrement, name text)";
 if (sqlite3_exec(database, createSql, NULL, NULL, &amp;error)==SQLITE_OK) {
     NSLog(@"create table is ok.");
 }
 else
 {
    NSLog(@"error: %s",error);
    sqlite3_free(error);//每次使用完毕清空error字符串，提供给下一次使用
} </pre>
<p>建表完成之后，就开始插入记录：</p>
<pre>
const char *insertSql="insert into a person (name) values(‘gg')";
if (sqlite3_exec(database, insertSql, NULL, NULL, &amp;error)==SQLITE_OK) {
     NSLog(@"insert operation is ok.");
 }

 else
 {
    NSLog(@"error: %s",error);
    sqlite3_free(error);//每次使用完毕清空error字符串，提供给下一次使用
}
</pre>
<p>下一步，查询记录：</p>
<pre>
const char *selectSql="select id,name from a person";
 sqlite3_stmt *statement;
 if (sqlite3_prepare_v2(database,selectSql, -1, &amp;statement, nil)==SQLITE_OK) {
     NSLog(@"select operation is ok.");
 }
 else
 {
    NSLog(@"error: %s",error);
    sqlite3_free(error);
 }
 while(sqlite3_step(statement)==SQLITE_ROW) {
 int _id=sqlite3_column_int(statement, 0);
 NSString *name=(char*)sqlite3_column_text(statement, 1);
 NSLog(@"row&gt;&gt;id %i, name %s",_id,name);
 }
 sqlite3_finalize(statement);</pre>
<p>最后，关闭数据库：</p>
<pre>
sqlite3_close(database); </pre>
<p>注意：写入数据库，字符串可以采用char方式，而从数据库中取出char类型，当char类型有表示中文字符时，会出现乱码。这是因为数据库默认使用ascII编码方式。所以要想正确从数据库中取出中文，需要用NSString来接收从数据库取出的字符串。</p>
<p>以上就是本文的全部内容，希望对大家的学习有所帮助，也希望大家多多支持。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索ios<br />
                    ，                保存数据<br />
                                    ios数据存储方式<br />
                                    ios 本地存储四种方式、利克特的四种管理方式、我故乡的四种死亡方式、沟通的方式分为 四种、四种思维方式，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 05:04:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/%e4%bf%9d%e5%ad%98%e6%95%b0%e6%8d%ae/" title="保存数据">保存数据</a>, <a href="https://www.iamivan.net/tag/ios%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8%e6%96%b9%e5%bc%8f/" title="ios数据存储方式">ios数据存储方式</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>详解IOS四种保存数据的方式_IOS的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn6dRWp.html" rel="bookmark">详解SQL四种语言：DDL DML DCL TCL&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看到很多人讨论SQL还分为四种类型,在这里知识普及一下,并总结下他们的区别吧. 1. DDL – Data Definition Language 数据库定义语言:定义数据库的结构. 其主要命令有CREATE,ALTER,DROP等,下面用例子详解.该语言不需要commit,因此慎重. CREATE – to create objects in the database   在数据库创建对象 例: CREATE DATABASE test; // 创建一个名为test的数据库 ALTER – a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZEW4Bp.html" rel="bookmark">详解Android四种存储方式&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android程序开发中我们经常遇到四种数据存储方式,每种存储方式都各有不同:以下我分别列举了Android开发中的不同存储方式的特点 一,Preferences Preferences是一个较轻量级的存储数据的方法,具体使用方法: 在A中保存值: SharedPreferences.Editor sharedata = getSharedPreferences(&quot;data&quot;, 0).edit(); sharedata.putString(&quot;name&quot;,&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxlYyGM.html" rel="bookmark">详解参数传递四种形式&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章是在日常的工作中总结出来的,下面把四种参数传递的形式展示给大家. 什么时候用GET,  查,删, 什么时候用POST,增,改  (特列:登陆用Post,因为不能让用户名和密码显示在URL上) 4种get传参方式 &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; ch			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBPmAap.html" rel="bookmark">详解Android四种存储方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android程序开发中我们经常遇到四种数据存储方式,每种存储方式都各有不同:以下我分别列举了Android开发中的不同存储方式的特点 一,Preferences Preferences是一个较轻量级的存储数据的方法,具体使用方法: 在A中保存值: SharedPreferences.Editor sharedata = getSharedPreferences(&quot;data&quot;, 0).edit(); sharedata.putString(&quot;name&quot;,&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLdNXvp.html" rel="bookmark">详解Bootstrap四种图片样式&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在本章中,我们将学习 Bootstrap 对图片的支持.Bootstrap 提供了四个可对图片应用简单样式的class,分别是: img-rounded 添加 border-radius:6px 来获得图片圆角 img-circle 添加 border-radius:50% 来让整个图片变成圆形 img-thumbnail 添加一些内边距(padding)和一个灰色的边框 img-responsive 图片响应式 1.img-rounded &lt;!doctype html&gt; &lt;html l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxEY2Pp.html" rel="bookmark">详解IOS中如何实现瀑布流效果&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先是效果演示 特点:可以自由设置瀑布流的总列数(效果演示为2列) 虽然iphone手机的系统相册没有使用这种布局效果,瀑布流依然是一种很常见的布局方式!!!下面来详细介绍如何实现这种布局. 首先使用的类是UICollectionView 我们要做的是自定义UICollectionViewCell和UICollectionViewLayout      1.自定义UICollectionViewCell类,只需要一个UIImageView即可,frame占满整个cell.      2.重点是自			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYKGob.html" rel="bookmark">详解iOS开发中Keychain的相关使用&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.Keychain 基础 根据苹果的介绍,iOS设备中的Keychain是一个安全的存储容器,可以用来为不同应用保存敏感信息比如用户名,密码,网络密码,认证令牌.苹果自己用keychain来保存Wi-Fi网络密码,VPN凭证等等.它是一个sqlite数据库,位于/private/var/Keychains/keychain-2.db,其保存的所有数据都是加密过的. 开发者通常会希望能够利用操作系统提供的功能来保存凭证(credentials)而不是把它们(凭证)保存到NSUserDefault			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYJXWb.html" rel="bookmark">四种Android数据存储方式&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android提供以下四种存储方式: SharePreference SQLite File ContentProvider Android系统中数据基本都是私有的,一般存放在&quot;data/data/程序包名&quot;目录下.如果要实现数据共享,正确的方式是使用ContentProvider.  SharedPreferenceSharedPreference是一种轻型的数据存储方式,实际上是基于XML文件存储的&quot;key-value&quot;键值对数据.通常用来存储程序的一些配置信息			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX94Dyz.html" rel="bookmark">四种Android数据存储方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android提供以下四种存储方式: SharePreference SQLite File ContentProvider Android系统中数据基本都是私有的,一般存放在&quot;data/data/程序包名&quot;目录下.如果要实现数据共享,正确的方式是使用ContentProvider. SharedPreference SharedPreference是一种轻型的数据存储方式,实际上是基于XML文件存储的&quot;key-value&quot;键值对数据.通常用来存储程序的一些配置信息			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeW29M.html" rel="bookmark" class="title">Photoshop图片调色&colon;非常可爱的淡紫色女孩照片</a>
					<div>
						淡紫色是非常可爱的颜色,不过画面的颜色不宜太多.整体以暗紫色为主,人物肤色部分需要简单的磨皮并调成淡粉色,肤色的高光部分需要处理明显,这样人物部分才会更好看.原图 最终效果 [1] [2] [3] [ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4VjjM.html" rel="bookmark" class="title">dreamweaver mx 中层 layer 的概念</a>
					<div>
						dreamweaver|概念  dreamweave 是一款好用的网页制作软件,网页也是平面设计,就像photoshop,fireworks一样,这就使我们的软件有了曾这样一种概念,就像上述软件中的图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8K1NM.html" rel="bookmark" class="title">今日百度更新部分首页被K站已经恢复</a>
					<div>
						今天查看了石头之前被首页被的一个企业站,发现又神奇的回来了,百度更新了,这个企业站是半个月前被K的首页,最近看到有不少说这是百度新的K站方法,那就是只K首页,内页正常收录,石头的这个企业站就是如此.我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvQ1Nb.html" rel="bookmark" class="title">ASP&period;NET2&period;0应用中定制安全凭证之实践篇</a>
					<div>
						asp.net|安全     一.方案架构 本方案架构很简单--它用一个Web服务来包装ASP.NET 2.0提供者并且为远程客户暴露该凭证管理,你甚至还能在该架构中加上一些失去的功能.然后,在提供一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPrdOz.html" rel="bookmark" class="title">数据城域接入网建设思路</a>
					<div>
						前言: 人类已经进入网络经济时代.随着因特网的不断发展,用户的业务需求呈指数级递增,网络的负荷急剧增加,在这种情况下,网络的宽带化已成为建设信息高速公路的重点.但是,运营商如何在日益激烈的竞争局面下取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kA6Rz.html" rel="bookmark" class="title">X3D实战基础讲座之四</a>
					<div>
						X3D提供了立方体(Box).圆柱(Cylinder).圆锥(Cone).球体(Sphere)等基本3D造型节点.在本讲中,我们先来简单地介绍这些节点的使用,然后再来介绍节点的编组和节点的重复使用方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPXaOz.html" rel="bookmark" class="title">Android编程之manifest上遇到的错误</a>
					<div>
						 最近导入网上的源码工程,发现在manifest上有一些错误,这里也顺便和大家分享下: 一.android:installLocation 这个参数,其实我们一般用不到的,这里解释下: 它是andro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EEQaM.html" rel="bookmark" class="title">办公小技巧&comma;用Excel做个工程倒计时牌</a>
					<div>
						我们常常看到这样的工程倒计时牌: 工程倒计时牌 这多么鼓舞人心!她如擂起阵阵战鼓,激励人们奋进! 能否在EXCEL中制成这样的广告呢? 能!而且还很很简单. 首先制表如下: 制表 在单元格B3中,输入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg338BM.html" rel="bookmark" class="title">Photoshop调出日系清新淡雅风全攻略</a>
					<div>
						日系清新淡雅风,即和风,是日本摄影师多采用的一种特色影调.特点可概括为:冲淡平和,自然写意.国内知晓率最高的为川内伦子.小林纪晴等,其清澈的近乎悲戚的风格,在国内吸引了大量拥趸.当然亦有众多厌恶者,将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8Dweb.html" rel="bookmark" class="title">用javascript面向对象的方式制作弹出层</a>
					<div>
						  由于本人以前是.net程序员,所以即使现在在做前端,也习惯于用面向对象的方式编写js脚本,我想如果你以前也是或者现在还是名第三代程序员的话,应该对此并不陌生. 说到js的面向对象,就不得不提到pr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZl6Vz.html" rel="bookmark" class="title">【八卦】趣谈僵尸进程与进程状态D</a>
					<div>
						      长期生活在 Linux 环境里,渐渐地就有一种环保意识油然而生.比如,我们会在登录提示里写上&quot;悟空,我跟你说过叫你不要乱扔东西,乱扔东西是不对的.哎呀我话没说完你怎么把 棍子扔掉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l91db.html" rel="bookmark" class="title">【分享】这些年，我使用的一些工具&lbrack;非开发类&rsqb;</a>
					<div>
						1.前言 &quot;工欲善其事,必先利其器&quot;,所以平时喜欢尝试很多软件,来提高工作效率.特意把自己喜欢的,日常常用到的小软件工作分享出来.希望大家不断补充.这些工具有一个前提条件是:免费第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3gmPz.html" rel="bookmark" class="title">的基本命令-JUit 遇到的问题 大神进</a>
					<div>
						问题描述 JUit 遇到的问题 大神进 package test; import org.junit.*; import org.springframework.context.support.Abs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxPlEb.html" rel="bookmark" class="title">PIX防火墙配置DHCP</a>
					<div>
						配置: pixfirewall(config)# dhcpd address 192.168.1.1-192.168.1.253 inside //为inside接口的主机分配此网段地址 pixfir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkw3Yjp.html" rel="bookmark" class="title">题外话，大家畅所欲言</a>
					<div>
						问题描述 每天长时间坐在电脑面前,最近发现我的脸上长了好多的小痘痘,大家是怎么保护脸部的皮肤的啊 解决方案 解决方案二:这个得问老婆.她会神采飞扬的给你讲上俩小时.解决方案三:引用1楼bayougen ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYEKAp.html" rel="bookmark" class="title">阿里巴巴&OpenCurlyDoubleQuote;登陆&rdquo;深圳 在深建国际运营总部</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 经过9个多月的磋商,阿里巴巴终于&quot;登陆&quot;深圳.昨天下午,市政府和阿里巴巴集团在五洲宾馆签署战略合作协议,双方将携手在深圳建立立足泛珠 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWe8nz.html" rel="bookmark" class="title">Web2&period;0需要怎样的用户数？</a>
					<div>
						在web2.0的圈子里,用户数总是免不了被拿来做文章.最常听到的话是,我有××万http://www.aliyun.com/zixun/aggregation/10733.html&quot;&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn708M.html" rel="bookmark" class="title">edittext-使用代码如何修改 marginTop？</a>
					<div>
						问题描述 使用代码如何修改 marginTop? 我想使用代码给EditText 修改marginTop . 我设置了 setLayoutParams 但是获得 ForceClose 和下面的信息:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKyl6p.html" rel="bookmark" class="title">美媒：惠普计划分拆为二 弱势PC厂商恐遭殃</a>
					<div>
						[环球科技综合报道]据科技资讯网站 PCWorld10月8日消息,不久前,有分析师表示消费者或将停止购买PC.虽然他们的警告看起来有些夸张,不过厂商们似乎越来越不愿意生产PC.在过去一年中,戴尔转型私 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1a7Kb.html" rel="bookmark" class="title">Android ImageLoader第三方框架解析&lowbar;Android</a>
					<div>
						本文实例为大家分享了Android ImageLoader框架的使用方法,供大家参考,具体内容如下 1.准备工作 1)导入universal-image-loader-1.9.5.jar到项目中 2) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvdnmM.html" rel="bookmark" class="title">浅谈Token安全及php表单加入Token防止重复提交</a>
					<div>
						Token浅谈 Token,就是令牌,最大的特点就是随机性,不可预测.一般黑客或软件无法猜测出来. 那么,Token有什么作用?又是什么原理呢? Token一般用在两个地方--防止表单重复提交.ant ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm1vOp.html" rel="bookmark" class="title">同一页面放多个百度编辑器 Ueditor 并用PHP获取 Ueditor 的值的实例</a>
					<div>
						同一个网页如何放置多个Ueditor? 参考代码如下:     &lt;form  method=&quot;post&quot; action=&quot;save.php&quot;&gt;    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NnN8p.html" rel="bookmark" class="title">跟我学习javascript的arguments对象&lowbar;javascript技巧</a>
					<div>
						1.什么是arguments arguments 是是JavaScript里的一个内置对象,它很古怪,也经常被人所忽视,但实际上是很重要的.所有主要的js函数库都利用了arguments对象.所以ag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmeQVp.html" rel="bookmark" class="title">spec测试问题</a>
					<div>
						问题描述 在测试spec/controller文件时,后台的private方法,我使用跟以action提交方式的方法去测试,我本机不报错,但是同事的报错,错误如下:ActionController:: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYw3Zb.html" rel="bookmark" class="title">arm gpio 驱动-exynos gpio 驱动 gpiov口以及某些引脚不能点亮原因。。。</a>
					<div>
						问题描述 exynos gpio 驱动 gpiov口以及某些引脚不能点亮原因... 搞了几天了..求帮助其他的都可以具体方式是我用android自带4212gpio函数操作4412gpio查过手册地址 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zendm9b.html" rel="bookmark" class="title">草根作家有望分食网站广告收益</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 如今,在全民皆是作者的情况下,草根作品在互联网的授权和付费问题愈发突出.我们应该怎样保护草根作家的权益?6月29日,国家数字版权研究基地在北京大学揭牌, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJe6Xwp.html" rel="bookmark" class="title">Intel发布神经计算棒，插上「U盘」就能用的独立AI加速器</a>
					<div>
						雷锋网(公众号:雷锋网)消息,本周四,英特尔在计算机视觉和模式识别(Computer Vision and Pattern Recognition)大会上推出了新的神经元计算棒产品Movidius N ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjo4KZM.html" rel="bookmark" class="title">JS 打乱数组&lpar;随机排序，生成不重复随机数&rpar;</a>
					<div>
						网上流传一个国外人写的方法,我认为是最精简的了: 程序代码 //用Math.random()函数生成0~1之间的随机数与0.5比较,返回-1或1  代码如下 复制代码 function randoms ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvqRL6b.html" rel="bookmark" class="title">气候变化绿皮书指出 我国雾霾增加影响生殖能力</a>
					<div>
						昨日,中国社会科学院.中国气象局联合发布的&lt;气候变化绿皮书:应对气候变化报告(2013)&gt;(以下简称&quot;绿皮书&quot;)指出,近50年来中国雾霾天气总体呈增加趋势.其中,雾日数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR7rk8p.html" rel="bookmark" class="title">高通&OpenCurlyDoubleQuote;扶&rdquo;大唐 狙击低端芯片玩家</a>
					<div>
						在芯片公司联发科成立20周年的这天,它的竞争对手高通送上了一个不太善意的&quot;大礼&quot;. 5月26日上午,高通宣布与大唐电信等合作进军中低端手机芯片市场.大唐电信(600198.SH)2 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
